<?php

class Padd_Widget_Feedburner extends WP_Widget {

	function Padd_Widget_Feedburner() {
		$widget_ops = array(
						'classname' => 'box-feedburner',
						'description' => sprintf(__('%s Theme widget for Feedburner Subscription form. To set the username, go to the Social Networking Tab under %s Options.', PADD_THEME_SLUG), PADD_THEME_NAME, PADD_THEME_NAME)
					);
		$this->WP_Widget(PADD_THEME_SLUG . '_feedburner', PADD_THEME_NAME . ' Feedburner Subscription Form', $widget_ops);
		$this->alt_option_name = PADD_THEME_SLUG .  '_widget_feedburner';
	}

	function widget($args,$instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		$description = apply_filters('widget_title', $instance['description']);
		echo $before_widget . "\n";

		if (!empty($title)) {
			echo $before_title . $title . $after_title . "\n";
		} else {
			echo $before_title . __('Subscribe', PADD_THEME_SLUG) . $after_title . "\n";
		}

		padd_theme_widget_feedburner($description);
		echo $after_widget . "\n";
	}

	function update($new_instance,$old_instance) {
		$instance = $old_instance;
		$new_instance = wp_parse_args((array)$new_instance, array( 'title' => '', 'description' => ''));
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['description'] = strip_tags($new_instance['description']);
		return $instance;
	}

	function form($instance) {
		$instance = wp_parse_args((array) $instance, array( 'title' => '', 'description' => ''));
		$title = $instance['title'];
		$description = $instance['description'];
		?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php echo __('Title', PADD_THEME_SLUG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('description'); ?>"><?php echo __('Description', PADD_THEME_SLUG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('description'); ?>" name="<?php echo $this->get_field_name('description'); ?>" type="text" value="<?php echo esc_attr($description); ?>" /></label></p>
		<?php
	}

	function save_settings($settings) {
		$settings['_multiwidget'] = 0;
		Padd_Theme_Option::set( $this->option_name, $settings );
	}
}

class Padd_Widget_SocialNetwork extends WP_Widget {

	function Padd_Widget_SocialNetwork() {
		$widget_ops = array(
						'classname' => 'box-socialnet',
						'description' => sprintf(__('%s Theme widget for social networking profile page. To set the username, go to the Social Networking Tab unde %s Options.', PADD_THEME_SLUG), PADD_THEME_NAME, PADD_THEME_NAME)
					);
		$this->WP_Widget(PADD_THEME_SLUG . '_socialnet', PADD_THEME_NAME . ' Social Network Badges', $widget_ops);
		$this->alt_option_name = PADD_THEME_SLUG .  '_socialnet';
	}

	function widget($args,$instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		echo $before_widget . "\n";

		if (!empty($title)) {
			echo $before_title . $title . $after_title . "\n";
		} else {
			echo $before_title . __('Social Network', PADD_THEME_SLUG) . $after_title . "\n";
		}

		padd_theme_widget_socialnet();
		echo $after_widget . "\n";
	}

	function update($new_instance,$old_instance) {
		$instance = $old_instance;
		$new_instance = wp_parse_args((array)$new_instance, array( 'title' => ''));
		$instance['title'] = strip_tags($new_instance['title']);
		return $instance;
	}

	function form($instance) {
		$instance = wp_parse_args((array) $instance, array( 'title' => ''));
		$title = $instance['title'];
		?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
		<?php
	}

	function save_settings($settings) {
		$settings['_multiwidget'] = 0;
		Padd_Theme_Option::set( $this->option_name, $settings );
	}
}

class Padd_Widget_FBSN extends WP_Widget {

	function Padd_Widget_FBSN() {
		$widget_ops = array(
						'classname' => 'box-fbsn box-socialnet box-feedburner',
						'description' => sprintf(__('%s Theme widget for social networking profile badges and Feedburner subscription form in one.', PADD_THEME_SLUG), PADD_THEME_NAME, PADD_THEME_NAME)
					);
		$this->WP_Widget(PADD_THEME_SLUG . '_fbsn', PADD_THEME_NAME . ' Feedburner + Social Net Badges', $widget_ops);
		$this->alt_option_name = PADD_THEME_SLUG .  '_fbsn';
	}

	function widget($args,$instance) {
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		$description = apply_filters('widget_title', $instance['description']);
		echo $before_widget . "\n";

		if (!empty($title)) {
			echo $before_title . $title . $after_title . "\n";
		} else {
			echo $before_title . __('Social Network', PADD_THEME_SLUG) . $after_title . "\n";
		}
		padd_theme_widget_feedburner($description);
		padd_theme_widget_socialnet();
		echo $after_widget . "\n";
	}

	function update($new_instance,$old_instance) {
		$instance = $old_instance;
		$new_instance = wp_parse_args((array)$new_instance, array( 'title' => ''));
		$instance['title'] = strip_tags($new_instance['title']);
		return $instance;
	}

	function form($instance) {
		$instance = wp_parse_args((array) $instance, array( 'title' => '', 'description' => ''));
		$title = $instance['title'];
		$description = $instance['description'];
		?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php echo __('Title', PADD_THEME_SLUG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('description'); ?>"><?php echo __('Description', PADD_THEME_SLUG); ?>: <input class="widefat" id="<?php echo $this->get_field_id('description'); ?>" name="<?php echo $this->get_field_name('description'); ?>" type="text" value="<?php echo esc_attr($description); ?>" /></label></p>
		<?php
	}

	function save_settings($settings) {
		$settings['_multiwidget'] = 0;
		Padd_Theme_Option::set( $this->option_name, $settings );
	}
}

register_widget('Padd_Widget_Feedburner');
register_widget('Padd_Widget_SocialNetwork');
register_widget('Padd_Widget_FBSN');